import '//resources/cr_elements/cr_button/cr_button.js';
import '//resources/cr_elements/cr_tabs/cr_tabs.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import { ActuationEligibility, ActuationTarget, FormFactor, FreOverride, InvocationSource, Platform } from '../glic.mojom-webui.js';
import { FeatureMode } from '../glic_enums.mojom-webui.js';
import { FreCompletionWaitMode } from '../glic_internals.mojom-webui.js';
import type { InternalsDataPayload } from '../glic_internals.mojom-webui.js';
export declare class GlicInternalsAppElement extends CrLitElement {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        data_: {
            type: ObjectConstructor;
        };
        invokePrompt_: {
            type: StringConstructor;
        };
        invokeAutoSubmit_: {
            type: BooleanConstructor;
        };
        invokeFreOverride_: {
            type: NumberConstructor;
        };
        invokeFeatureMode_: {
            type: NumberConstructor;
        };
        invokeInvocationSource_: {
            type: NumberConstructor;
        };
        invokeWaitForPanelOpen_: {
            type: BooleanConstructor;
        };
        invokeLogs_: {
            type: ArrayConstructor;
        };
        invokeSurfaceType_: {
            type: StringConstructor;
        };
        invokeZssOverride_: {
            type: BooleanConstructor;
        };
        invokeZssAdditionalContent_: {
            type: StringConstructor;
        };
        invokeOpenInForeground_: {
            type: BooleanConstructor;
        };
        invokeActuationTarget_: {
            type: NumberConstructor;
        };
        actuationTargetEnumValues_: {
            type: ArrayConstructor;
        };
        invokeShowPanel_: {
            type: BooleanConstructor;
        };
        invokePayloadUniversalCartMetadata_: {
            type: StringConstructor;
        };
        invokeFreCompletionWaitMode_: {
            type: NumberConstructor;
        };
        freCompletionWaitModeEnumValues_: {
            type: ArrayConstructor;
        };
        selectedTabIndex_: {
            type: NumberConstructor;
        };
        invokeNewConversation_: {
            type: BooleanConstructor;
        };
        tabNames_: {
            type: ArrayConstructor;
        };
        featureModeEnumValues_: {
            type: ArrayConstructor;
        };
    };
    protected accessor data_: InternalsDataPayload | undefined;
    protected accessor invokePrompt_: string;
    protected accessor invokeAutoSubmit_: boolean;
    protected accessor invokeFreOverride_: FreOverride;
    protected accessor invokeFeatureMode_: FeatureMode;
    protected accessor invokeInvocationSource_: InvocationSource;
    protected accessor invokeWaitForPanelOpen_: boolean;
    protected accessor invokeLogs_: string[];
    protected accessor invokeSurfaceType_: string;
    protected accessor invokeZssOverride_: boolean;
    protected accessor invokeZssAdditionalContent_: string;
    protected accessor invokeOpenInForeground_: boolean;
    protected accessor invokeActuationTarget_: ActuationTarget;
    protected accessor invokeShowPanel_: boolean;
    protected accessor invokePayloadUniversalCartMetadata_: string;
    protected accessor invokeFreCompletionWaitMode_: FreCompletionWaitMode;
    protected accessor invokeNewConversation_: boolean;
    protected accessor selectedTabIndex_: number;
    protected accessor tabNames_: string[];
    protected accessor featureModeEnumValues_: Array<{
        name: string;
        value: number;
    }>;
    protected accessor actuationTargetEnumValues_: Array<{
        name: string;
        value: number;
    }>;
    protected accessor freCompletionWaitModeEnumValues_: Array<{
        name: string;
        value: number;
    }>;
    private pageHandler_;
    connectedCallback(): void;
    protected onShowErrorAllowedChange(e: Event): void;
    protected onExperimentalOptInClick_(): void;
    protected onAutopushInputChange(e: Event): void;
    protected onStagingInputChange(e: Event): void;
    protected onPreprodInputChange(e: Event): void;
    protected onProdInputChange(e: Event): void;
    protected onSavePresetsClick_(): void;
    protected onWebContinuityInputChange(e: Event): void;
    protected onSaveWebContinuityPresetClick_(): void;
    protected getActuationEligibilityString_(eligibility: ActuationEligibility): string;
    protected getTableData_(): Array<{
        label: string;
        value: boolean;
    }>;
    protected getInvocationSourceOptions_(): {
        name: string;
        value: string | InvocationSource;
    }[];
    protected onInvokePromptInput_(e: Event): void;
    protected onInvokeAutoSubmitChange_(e: Event): void;
    protected onInvokeFreOverrideChange_(e: Event): void;
    protected onInvokeFeatureModeChange_(e: Event): void;
    protected onInvokeInvocationSourceChange_(e: Event): void;
    protected onInvokeWaitForPanelOpenChange_(e: Event): void;
    protected onInvokeNewConversationChange_(e: Event): void;
    protected onPayloadUniversalCartMetadataInput_(e: Event): void;
    protected onInvokeSurfaceTypeChange_(e: Event): void;
    protected onInvokeZssOverrideChange_(e: Event): void;
    protected onInvokeZssAdditionalContentInput_(e: Event): void;
    protected onInvokeOpenInForegroundChange(e: Event): void;
    protected onInvokeActuationTargetChange_(e: Event): void;
    protected onInvokeShowPanelChange_(e: Event): void;
    protected onInvokeFreCompletionWaitModeChange_(e: Event): void;
    protected onTriggerInvokeClick_(): void;
    protected getPlatformString_(platform: Platform): string;
    protected getFormFactorString_(formFactor: FormFactor): string;
    protected getDebugSettingsData_(): Array<{
        label: string;
        value: string | boolean;
    }>;
    protected onSelectedTabIndexSelectedChanged_(e: CustomEvent<{
        value: number;
    }>): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'glic-internals-app': GlicInternalsAppElement;
    }
}
